| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelTypeDBusTubeInterface Class Reference
Client-side proxies » Channel proxies

`#include <TelepathyQt/Channel>`

Inheritance diagram for Tp::Client::ChannelTypeDBusTubeInterface:
[legend]

## Public Slots

QDBusPendingReply< QString > | Offer (const QVariantMap &parameters, uint accesscontrol, int timeout=-1)
QDBusPendingReply< QString > | Accept (uint accesscontrol, int timeout=-1)

## Signals

void | DBusNamesChanged (const Tp::DBusTubeParticipants &added, const Tp::UIntList &removed)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ChannelTypeDBusTubeInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeDBusTubeInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeDBusTubeInterface (Tp::DBusProxy *proxy)
| ChannelTypeDBusTubeInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelTypeDBusTubeInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyServiceName () const
Tp::PendingVariant * | requestPropertyDBusNames () const
Tp::PendingVariant * | requestPropertySupportedAccessControls () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.DBusTube".

## Constructor & Destructor Documentation

## § ChannelTypeDBusTubeInterface() [1/5]

Tp::Client::ChannelTypeDBusTubeInterface::ChannelTypeDBusTubeInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeDBusTubeInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelTypeDBusTubeInterface() [2/5]

Tp::Client::ChannelTypeDBusTubeInterface::ChannelTypeDBusTubeInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeDBusTubeInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelTypeDBusTubeInterface() [3/5]

Tp::Client::ChannelTypeDBusTubeInterface::ChannelTypeDBusTubeInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeDBusTubeInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ChannelTypeDBusTubeInterface() [4/5]

Tp::Client::ChannelTypeDBusTubeInterface::ChannelTypeDBusTubeInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |

explicit

Creates a ChannelTypeDBusTubeInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ChannelTypeDBusTubeInterface() [5/5]

Tp::Client::ChannelTypeDBusTubeInterface::ChannelTypeDBusTubeInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelTypeDBusTubeInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ChannelTypeDBusTubeInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.DBusTube", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyServiceName()

Tp::PendingVariant* Tp::Client::ChannelTypeDBusTubeInterface::requestPropertyServiceName | ( |  | ) | const

inline

Asynchronous getter for the remote object property `ServiceName` of type `QString`.

A string representing the service name that will be used over the tube. It SHOULD be a well-known D-Bus service name, of the form `com.example.ServiceName`.

When the tube is offered, the service name is transmitted to the other end.

When requesting a channel with ConnectionInterfaceRequestsInterface::CreateChannel() , this property MUST be included in the request.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyDBusNames()

Tp::PendingVariant* Tp::Client::ChannelTypeDBusTubeInterface::requestPropertyDBusNames | ( |  | ) | const

inline

Asynchronous getter for the remote object property `DBusNames` of type `Tp::DBusTubeParticipants`.

For a multi-user (i.e. Handle_Type_Room) D-Bus tube, a mapping between contact handles and their unique bus names on this tube. For a peer-to-peer (i.e. Handle_Type_Contact) D-Bus tube, the empty dictionary. Change notification is via DBusNamesChanged.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertySupportedAccessControls()

Tp::PendingVariant* Tp::Client::ChannelTypeDBusTubeInterface::requestPropertySupportedAccessControls | ( |  | ) | const

inline

Asynchronous getter for the remote object property `SupportedAccessControls` of type `Tp::UIntList`.

A list of the access control types that are supported with this channel. Note that only Socket_Access_Control_Localhost and Socket_Access_Control_Credentials can be used with D-Bus tubes. Using Socket_Access_Control_Credentials is recommended.

Socket_Access_Control_Credentials is easy to implement for a D-Bus tube, because typical D-Bus library implementations like libdbus and GDBus already have to support it to be able to connect to the system or session bus, and usually enable it by default; so there's typically no good reason to relax access control to Localhost.

When requesting a channel with ConnectionInterfaceRequestsInterface::CreateChannel() , this property MUST NOT be included in the request.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ChannelTypeDBusTubeInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § Offer

QDBusPendingReply<QString> Tp::Client::ChannelTypeDBusTubeInterface::Offer | ( | const QVariantMap & | parameters,
|  | uint | accesscontrol,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `Offer` on the remote object.

Offers a D-Bus tube providing the service specified.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  parameters

      The dictionary of arbitrary Parameters to send with the tube offer.

  accesscontrol

      The access control the connection manager applies to the D-Bus
      socket.

  timeout | The timeout in milliseconds.

Returns

      The string describing the address of the private bus. The client
      SHOULD NOT attempt to connect to the address until the tube is open.

## § Accept

QDBusPendingReply<QString> Tp::Client::ChannelTypeDBusTubeInterface::Accept | ( | uint | accesscontrol,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `Accept` on the remote object.

Accept a D-Bus tube that's in the "local pending" state. The connection manager will attempt to open the tube. The tube remains in the "local pending" state until the TubeChannelStateChanged signal is emitted.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  accesscontrol

      The access control the connection manager applies to the D-Bus
      socket.

  timeout | The timeout in milliseconds.

Returns

      The string describing the address of the private bus. The client
      SHOULD NOT attempt to connect to the address until the tube is open.

## § DBusNamesChanged

void Tp::Client::ChannelTypeDBusTubeInterface::DBusNamesChanged | ( | const Tp::DBusTubeParticipants & | added,
|  | const Tp::UIntList & | removed
| ) |  |

signal

Represents the signal `DBusNamesChanged` on the remote object.

Emitted on a multi-user (i.e. Handle_Type_Room) D-Bus tube when a participant opens or closes the tube. This provides change notification for the DBusNames property.

Parameters

  added

      Array of handles and D-Bus names of new participants.

  removed

      Array of handles of former participants.

## § invalidate()

void Tp::Client::ChannelTypeDBusTubeInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.